Case sensitivity problem with GlobalUsage
OpenPublic

Description

It seems that there are some problems with the Global Usage extension and wikis with case sensitive initial letters (like Wiktionaries).

See http://commons.wikimedia.org/w/index.php?title=Commons:Village_pump&oldid=40453079#Incomplete_usage_listings


Version: unspecified
Severity: normal

bzimport added a subscriber: Unknown Object (MLST).
bzimport set Reference to bz23947.
Lejonel created this task.Via LegacyJun 13 2010, 7:58 PM
bzimport added a comment.Via ConduitJul 5 2010, 7:42 PM

Bryan.TongMinh wrote:

This can either be fixed at insertion, by always capitalizing the input, or at query, by querying both the uncapitalized and capitalized version.

The first one gives a problem if both capitalized and uncapitalized shared repos are used, because the capitalization would need to be fixed when a file is deleted on one of the shared repos and exists on the other.

The second one is just nasty, but I'm still going for that one.

bzimport added a comment.Via ConduitJul 5 2010, 8:01 PM

Bryan.TongMinh wrote:

Patch that implements option 2

Patch; needs testing; posting here so I don't lose it.

Attached: patch.txt

Peachey88 added a comment.Via ConduitApr 30 2011, 12:09 AM

*Bulk BZ Change: +Patch to open bugs with patches attached that are missing the keyword*

Bawolff added a comment.Via ConduitFeb 7 2013, 4:25 PM
  • Bug 29803 has been marked as a duplicate of this bug. ***
bzimport added a comment.Via ConduitJun 12 2013, 7:04 PM

baltoslavic wrote:

Bulk patch has not corrected problem on "duplicate" Bug 29803. See details there for continued problem. Links TO Wiktionary are case-sensitive, which is fine, but link searches FROM Wiktionary are also made case-sentitive for purposes of checking usage in Commons, and that is a problem. The search fails to find file usage, as is.

Not sure why the other bug was marked "duplicate", since the problem here seems to have been fixed, but the problem over there has not.

bzimport added a comment.Via ConduitJun 12 2013, 7:56 PM

baltoslavic wrote:

For the record, this problem has now been around for TWO YEARS without being fixed. Is anyone working on it?

Aklapper added a comment.Via ConduitJun 12 2013, 8:18 PM

baltoslavic: See "Assigned To: Nobody" above, so nobody is working on this. To get things going, anybody could take the patch in comment 2 and test and improve it on a local test installation of MediaWiki or on a Wikimedia Labs instance.

Bryan: Any plans to pick up your patch again?

MarkTraceur added a project: Multimedia.Via WebDec 3 2014, 6:25 PM

Add Comment